> ## Documentation Index
> Fetch the complete documentation index at: https://docs.drivly.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a single Template version by its id

> Get a single Template version by its id

<Accordion title="Usage with the Drivly SDK" icon="code-simple">
  <Note>
    <span class="font-medium">Make sure you install our SDK first. You can find out how, and more [here](/commerce/sdk).</span>
  </Note>

  ```typescript theme={null}
  import { SDK } from '@drivly/commerce'
  import type { templates } from '@drivly/commerce'

  const sdk = new SDK(...)

  const templates = await sdk.templates.findOne(templatesId: string): Promise<templates>
  ```
</Accordion>


## OpenAPI

````yaml get /templates/versions/{id}
openapi: 3.0.3
info:
  title: Drivly Commerce API
  version: 1.0.0
  description: API for the Driv.ly experience
  contact:
    name: Drivly
    url: https://driv.ly
    email: support@driv.ly
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://commerce.driv.ly/api
security: []
paths:
  /templates/versions/{id}:
    get:
      tags:
        - templates
      summary: Get a single Template version by its id
      description: Get a single Template version by its id
      parameters:
        - name: id
          in: path
          description: id of the Template version
          required: true
          schema:
            type: string
        - name: depth
          in: query
          description: number of levels to automatically populate relationships and uploads
          schema:
            type: number
        - name: locale
          in: query
          description: retrieves document(s) in a specific locale
          schema:
            type: string
        - name: fallback-locale
          in: query
          description: specifies a fallback locale if no locale value exists
          schema:
            type: string
        - name: sort
          in: query
          description: sort by field
          schema:
            type: string
        - name: where
          in: query
          description: >-
            pass a where query to constrain returned documents (complex type,
            see documentation)
          style: deepObject
          explode: true
          allowReserved: true
          schema:
            $ref: '#/components/schemas/where'
        - name: limit
          in: query
          description: limit the returned documents to a certain number
          schema:
            type: number
        - name: page
          in: query
          description: get a specific page of documents
          schema:
            type: number
      responses:
        '200':
          $ref: '#/components/responses/templatesVersionResponse'
        '404':
          $ref: '#/components/responses/NotFoundErrorResponse'
      security:
        - apiKeyAuth: []
components:
  schemas:
    where:
      title: Where clause
      type: object
      additionalProperties:
        anyOf:
          - type: object
            properties:
              equals: {}
            additionalProperties: false
          - type: object
            properties:
              not_equals: {}
            additionalProperties: false
          - type: object
            properties:
              greater_than:
                anyOf:
                  - type: string
                  - type: number
            additionalProperties: false
          - type: object
            properties:
              greater_than_equal:
                anyOf:
                  - type: string
                  - type: number
            additionalProperties: false
          - type: object
            properties:
              less_than:
                anyOf:
                  - type: string
                  - type: number
            additionalProperties: false
          - type: object
            properties:
              less_than_equal:
                anyOf:
                  - type: string
                  - type: number
            additionalProperties: false
          - type: object
            properties:
              like:
                type: string
            additionalProperties: false
          - type: object
            properties:
              contains:
                type: string
            additionalProperties: false
          - type: object
            properties:
              in:
                type: string
            additionalProperties: false
          - type: object
            properties:
              not_in:
                type: string
            additionalProperties: false
          - type: object
            properties:
              exists:
                type: boolean
            additionalProperties: false
          - type: object
            properties:
              near:
                type: string
            additionalProperties: false
      properties:
        or:
          type: array
          items:
            title: Where clause
            type: object
            additionalProperties:
              anyOf:
                - type: object
                  properties: {}
                  additionalProperties: false
                - type: object
                  properties: {}
                  additionalProperties: false
                - type: object
                  properties:
                    greater_than:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    greater_than_equal:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    less_than:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    less_than_equal:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    like:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    contains:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    in:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    not_in:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    exists:
                      type: boolean
                  additionalProperties: false
                - type: object
                  properties:
                    near:
                      type: string
                  additionalProperties: false
            properties:
              or:
                type: array
              and:
                type: array
            example:
              or:
                - color:
                    equals: mint
                - and:
                    - color:
                        equals: white
                    - featured:
                        equals: false
        and:
          type: array
          items:
            title: Where clause
            type: object
            additionalProperties:
              anyOf:
                - type: object
                  properties: {}
                  additionalProperties: false
                - type: object
                  properties: {}
                  additionalProperties: false
                - type: object
                  properties:
                    greater_than:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    greater_than_equal:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    less_than:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    less_than_equal:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    like:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    contains:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    in:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    not_in:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    exists:
                      type: boolean
                  additionalProperties: false
                - type: object
                  properties:
                    near:
                      type: string
                  additionalProperties: false
            properties:
              or:
                type: array
              and:
                type: array
            example:
              or:
                - color:
                    equals: mint
                - and:
                    - color:
                        equals: white
                    - featured:
                        equals: false
      example:
        or:
          - color:
              equals: mint
          - and:
              - color:
                  equals: white
              - featured:
                  equals: false
    templatesVersion:
      title: Template version
      type: object
      additionalProperties: false
      properties:
        version:
          type: object
          additionalProperties: false
          properties:
            usedBy:
              items:
                oneOf:
                  - type: number
                  - additionalProperties: false
                    title: SalesRep
                    type: object
                    properties:
                      name:
                        type: string
                        nullable: true
                      user:
                        type: string
                        nullable: true
                      phone:
                        type: string
                        nullable: true
                      phoneNumber:
                        type: string
                        nullable: true
                      leads:
                        items:
                          type: number
                        type: array
                        nullable: true
                      acceptNewLeads:
                        type: boolean
                        nullable: true
                      assignedLeads:
                        type: string
                        nullable: true
                      creditBands:
                        items:
                          enum:
                            - Excellent (750-900)
                            - Good (700-749)
                            - Fair (650-699)
                            - Fair (600-649)
                            - OK (550-599)
                            - Poor (300-549)
                            - Unknown
                          type: string
                        type: array
                        nullable: true
                      templates:
                        items:
                          type: number
                        type: array
                        nullable: true
                      updatedAt:
                        type: string
                      createdAt:
                        type: string
                    required:
                      - id
                      - updatedAt
                      - createdAt
              type: array
              nullable: true
            message:
              type: string
              nullable: true
            sequence:
              type: number
              nullable: true
            type:
              enum:
                - Email Sent
                - Initial Text Message
                - Text Nudge
              type: string
              nullable: true
            choice:
              enum:
                - A
                - B
                - C
                - D
                - E
                - F
                - G
                - H
                - I
              type: string
              nullable: true
            messages:
              items:
                oneOf:
                  - type: number
                  - additionalProperties: false
                    title: Message
                    type: object
                    properties:
                      status:
                        enum:
                          - Send
                          - Sent
                          - Received
                          - Queued
                          - Canceled
                          - Retry
                          - Manual
                        type: string
                        nullable: true
                      message:
                        type: string
                        nullable: true
                      phone:
                        type: string
                        nullable: true
                      lead:
                        type: number
                        nullable: true
                      template:
                        type: number
                        nullable: true
                      createdTime:
                        type: string
                        nullable: true
                      generated:
                        type: boolean
                        nullable: true
                      type:
                        type: string
                        nullable: true
                      openphoneMessageId:
                        type: string
                        nullable: true
                      updatedAt:
                        type: string
                      createdAt:
                        type: string
                    required:
                      - id
                      - updatedAt
                      - createdAt
              type: array
              nullable: true
            subject:
              type: string
              nullable: true
          required:
            - createdAt
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - parent
        - version
        - createdAt
        - updatedAt
    error:
      title: Error response message
      type: object
      additionalProperties: false
      properties:
        errors:
          type: array
          items:
            type: object
            additionalProperties: false
            properties:
              message:
                type: string
            required:
              - message
      required:
        - errors
  responses:
    templatesVersionResponse:
      description: ok
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/templatesVersion'
    NotFoundErrorResponse:
      description: not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
  securitySchemes:
    apiKeyAuth:
      in: header
      type: apiKey
      name: Authorization

````